Cassandra.AsyncIface (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Interface Cassandra.AsyncIface

All Known Implementing Classes:
  Cassandra.AsyncClient

Enclosing class:
  Cassandra

    public static interface Cassandra.AsyncIface

Method Summary
`void` | `add(java.nio.ByteBuffer key, ColumnParent column_parent, CounterColumn column, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.add_call> resultHandler)`
`void` | `batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.batch_mutate_call> resultHandler)`
`void` | `describe_cluster_name(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_cluster_name_call> resultHandler)`
`void` | `describe_keyspace(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_keyspace_call> resultHandler)`
`void` | `describe_keyspaces(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_keyspaces_call> resultHandler)`
`void` | `describe_partitioner(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_partitioner_call> resultHandler)`
`void` | `describe_ring(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_ring_call> resultHandler)`
`void` | `describe_schema_versions(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_schema_versions_call> resultHandler)`
`void` | `describe_snitch(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_snitch_call> resultHandler)`
`void` | `describe_splits(java.lang.String cfName, java.lang.String start_token, java.lang.String end_token, int keys_per_split, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_splits_call> resultHandler)`
`void` | `describe_version(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_version_call> resultHandler)`
`void` | `execute_cql_query(java.nio.ByteBuffer query, Compression compression, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.execute_cql_query_call> resultHandler)`
`void` | `get_count(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_count_call> resultHandler)`
`void` | `get_indexed_slices(ColumnParent column_parent, IndexClause index_clause, SlicePredicate column_predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_indexed_slices_call> resultHandler)`
`void` | `get_range_slices(ColumnParent column_parent, SlicePredicate predicate, KeyRange range, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_range_slices_call> resultHandler)`
`void` | `get_slice(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_slice_call> resultHandler)`
`void` | `get(java.nio.ByteBuffer key, ColumnPath column_path, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_call> resultHandler)`
`void` | `insert(java.nio.ByteBuffer key, ColumnParent column_parent, Column column, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.insert_call> resultHandler)`
`void` | `login(AuthenticationRequest auth_request, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.login_call> resultHandler)`
`void` | `multiget_count(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.multiget_count_call> resultHandler)`
`void` | `multiget_slice(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.multiget_slice_call> resultHandler)`
`void` | `remove_counter(java.nio.ByteBuffer key, ColumnPath path, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.remove_counter_call> resultHandler)`
`void` | `remove(java.nio.ByteBuffer key, ColumnPath column_path, long timestamp, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.remove_call> resultHandler)`
`void` | `set_keyspace(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.set_keyspace_call> resultHandler)`
`void` | `system_add_column_family(CfDef cf_def, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_add_column_family_call> resultHandler)`
`void` | `system_add_keyspace(KsDef ks_def, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_add_keyspace_call> resultHandler)`
`void` | `system_drop_column_family(java.lang.String column_family, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_drop_column_family_call> resultHandler)`
`void` | `system_drop_keyspace(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_drop_keyspace_call> resultHandler)`
`void` | `system_update_column_family(CfDef cf_def, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_column_family_call> resultHandler)`
`void` | `system_update_keyspace(KsDef ks_def, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_keyspace_call> resultHandler)`
`void` | `truncate(java.lang.String cfname, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.truncate_call> resultHandler)`

Method Detail

### login

    void login(AuthenticationRequest auth_request,
               org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.login_call> resultHandler)
               throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### set_keyspace

    void set_keyspace(java.lang.String keyspace,
                      org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.set_keyspace_call> resultHandler)
                      throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### get

    void get(java.nio.ByteBuffer key,
             ColumnPath column_path,
             ConsistencyLevel consistency_level,
             org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_call> resultHandler)
             throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### get_slice

    void get_slice(java.nio.ByteBuffer key,
                   ColumnParent column_parent,
                   SlicePredicate predicate,
                   ConsistencyLevel consistency_level,
                   org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_slice_call> resultHandler)
                   throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### get_count

    void get_count(java.nio.ByteBuffer key,
                   ColumnParent column_parent,
                   SlicePredicate predicate,
                   ConsistencyLevel consistency_level,
                   org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_count_call> resultHandler)
                   throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### multiget_slice

    void multiget_slice(java.util.List<java.nio.ByteBuffer> keys,
                        ColumnParent column_parent,
                        SlicePredicate predicate,
                        ConsistencyLevel consistency_level,
                        org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.multiget_slice_call> resultHandler)
                        throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### multiget_count

    void multiget_count(java.util.List<java.nio.ByteBuffer> keys,
                        ColumnParent column_parent,
                        SlicePredicate predicate,
                        ConsistencyLevel consistency_level,
                        org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.multiget_count_call> resultHandler)
                        throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### get_range_slices

    void get_range_slices(ColumnParent column_parent,
                          SlicePredicate predicate,
                          KeyRange range,
                          ConsistencyLevel consistency_level,
                          org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_range_slices_call> resultHandler)
                          throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### get_indexed_slices

    void get_indexed_slices(ColumnParent column_parent,
                            IndexClause index_clause,
                            SlicePredicate column_predicate,
                            ConsistencyLevel consistency_level,
                            org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_indexed_slices_call> resultHandler)
                            throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### insert

    void insert(java.nio.ByteBuffer key,
                ColumnParent column_parent,
                Column column,
                ConsistencyLevel consistency_level,
                org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.insert_call> resultHandler)
                throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### add

    void add(java.nio.ByteBuffer key,
             ColumnParent column_parent,
             CounterColumn column,
             ConsistencyLevel consistency_level,
             org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.add_call> resultHandler)
             throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### remove

    void remove(java.nio.ByteBuffer key,
                ColumnPath column_path,
                long timestamp,
                ConsistencyLevel consistency_level,
                org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.remove_call> resultHandler)
                throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### remove_counter

    void remove_counter(java.nio.ByteBuffer key,
                        ColumnPath path,
                        ConsistencyLevel consistency_level,
                        org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.remove_counter_call> resultHandler)
                        throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### batch_mutate

    void batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                      ConsistencyLevel consistency_level,
                      org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.batch_mutate_call> resultHandler)
                      throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### truncate

    void truncate(java.lang.String cfname,
                  org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.truncate_call> resultHandler)
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_schema_versions

    void describe_schema_versions(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_schema_versions_call> resultHandler)
                                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_keyspaces

    void describe_keyspaces(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_keyspaces_call> resultHandler)
                            throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_cluster_name

    void describe_cluster_name(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_cluster_name_call> resultHandler)
                               throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_version

    void describe_version(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_version_call> resultHandler)
                          throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_ring

    void describe_ring(java.lang.String keyspace,
                       org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_ring_call> resultHandler)
                       throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_partitioner

    void describe_partitioner(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_partitioner_call> resultHandler)
                              throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_snitch

    void describe_snitch(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_snitch_call> resultHandler)
                         throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_keyspace

    void describe_keyspace(java.lang.String keyspace,
                           org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_keyspace_call> resultHandler)
                           throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### describe_splits

    void describe_splits(java.lang.String cfName,
                         java.lang.String start_token,
                         java.lang.String end_token,
                         int keys_per_split,
                         org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_splits_call> resultHandler)
                         throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### system_add_column_family

    void system_add_column_family(CfDef cf_def,
                                  org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_add_column_family_call> resultHandler)
                                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### system_drop_column_family

    void system_drop_column_family(java.lang.String column_family,
                                   org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_drop_column_family_call> resultHandler)
                                   throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### system_add_keyspace

    void system_add_keyspace(KsDef ks_def,
                             org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_add_keyspace_call> resultHandler)
                             throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### system_drop_keyspace

    void system_drop_keyspace(java.lang.String keyspace,
                              org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_drop_keyspace_call> resultHandler)
                              throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### system_update_keyspace

    void system_update_keyspace(KsDef ks_def,
                                org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_keyspace_call> resultHandler)
                                throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### system_update_column_family

    void system_update_column_family(CfDef cf_def,
                                     org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_column_family_call> resultHandler)
                                     throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

### execute_cql_query

    void execute_cql_query(java.nio.ByteBuffer query,
                           Compression compression,
                           org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.execute_cql_query_call> resultHandler)
                           throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation